Package com.io7m.idstore.admin_client.internal

# Class IdAClientSynchronous

java.lang.Object
com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>
com.io7m.idstore.admin_client.internal.IdAClientSynchronous

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientCloseableType<IdAClientException>`, `com.io7m.hibiscus.api.HBClientStatusType<IdAClientEventType>`, `com.io7m.hibiscus.api.HBClientSynchronousOperationsType<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientCredentials>`, `com.io7m.hibiscus.api.HBClientSynchronousType<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`, `IdAClientSynchronousType`, `AutoCloseable`

public final class IdAClientSynchronous extends com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials> implements IdAClientSynchronousType
The synchronous client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAClientSynchronous(IdAClientConfiguration inConfiguration, IdAStrings inStrings, HttpClient inHttpClient)`
  The synchronous client.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `onCommandExecuteFailed(IdACommandType<?> command, IdAResponseError result)`
  `protected void`
  `onCommandExecuteSucceeded(IdACommandType<?> command, IdAResponseType result)`
  `protected void`
  `onLoginExecuteFailed(IdAClientCredentials credentials, IdAResponseError result)`
  `protected void`
  `onLoginExecuteSucceeded(IdAClientCredentials credentials, IdAResponseType result)`

  ### Methods inherited from class com.io7m.hibiscus.basic.HBClientSynchronousAbstract

  `checkNotClosingOrClosed, close, currentHandler, disconnect, eventPublisher, events, execute, isClosed, isConnected, login, pollEvents, state, stateNow, statePublisher`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientCloseableType

  `close, isClosed`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientStatusType

  `events, isConnected, state, stateNow`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientSynchronousOperationsType

  `disconnect, execute, login, pollEvents`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientSynchronousType

  `executeOrElseThrow, loginOrElseThrow`

- ## Constructor Details

  - ### IdAClientSynchronous

    public IdAClientSynchronous(IdAClientConfiguration inConfiguration, IdAStrings inStrings, HttpClient inHttpClient)
    The synchronous client.
    Parameters:
      `inConfiguration` - The configuration
      `inHttpClient` - The HTTP client
      `inStrings` - The string resources

- ## Method Details

  - ### onCommandExecuteSucceeded

    protected void onCommandExecuteSucceeded(IdACommandType<?> command, IdAResponseType result)
    Specified by:
      `onCommandExecuteSucceeded` in class `com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`

  - ### onCommandExecuteFailed

    protected void onCommandExecuteFailed(IdACommandType<?> command, IdAResponseError result)
    Specified by:
      `onCommandExecuteFailed` in class `com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`

  - ### onLoginExecuteSucceeded

    protected void onLoginExecuteSucceeded(IdAClientCredentials credentials, IdAResponseType result)
    Specified by:
      `onLoginExecuteSucceeded` in class `com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`

  - ### onLoginExecuteFailed

    protected void onLoginExecuteFailed(IdAClientCredentials credentials, IdAResponseError result)
    Specified by:
      `onLoginExecuteFailed` in class `com.io7m.hibiscus.basic.HBClientSynchronousAbstract<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`